<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">

	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS -->
	<!-- <link rel="stylesheet" href="index.css"> -->

	<title>Bootstrap - Introduction and Simple Styles</title>

</head>
<body class="text-center bg-secondary">

	<h1>Bootstrap Introduction and Simple Styles</h1>

	<div class="d-none d-lg-inline-block w-25 mt-4">
		<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="bg-white img-fluid rounded-circle">
	</div>

	<!-- container is used to create padding or space for child elements -->
	<!-- "-fluid" in bootstrap follows the full witdth of the element -->
	<div class="container-fluid">
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="bg-primary text-white">
						Primary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary Link</a>
					</td>
					<td class="bg-secondary text-white">
						Secondary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">Success Link</a>
					</td>
					<td class="bg-success text-white">
						Success
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-danger">Danger Link</a>
					</td>
					<td class="bg-danger text-white">
						Danger
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-warning">Warning Link</a>
					</td>
					<td class="bg-warning text-white">
						Warning
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-info">Info Link</a>
					</td>
					<td class="bg-info text-white">
						Info
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">Light Link</a>
					</td>
					<td class="bg-light text-dark">
						Light
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-dark">Dark Link</a>
					</td>
					<td class="bg-dark text-white">
						Dark
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-muted">Muted Link</a>
					</td>
					<td class="bg-transparent text-white">
						Transparent
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-white">White Link</a>
					</td>
					<td class="bg-white text-dark">
						White
					</td>
				</tr>
			</tbody>
		</table>

		<!-- Bootstrap Text Alignment Classes Table -->
		<h2>Bootstrap Text Classes</h2>

		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th>Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>
				<!-- Breakpoints - xs, sm, md, lg, xl -->
				<!-- Different screen sizes to apply specific styling -->
				<!-- When using breakpoints, the largest screen size specified will apply to the breakpoint and all larger screen sizes -->
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<td class="text-right text-md-left">Medium Left</td>
				</tr>
				<tr>
					<td class="text-lg-right">Large Right</td>
				</tr>
				<tr>
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>
		</table>
		<!-- End of Bootstrap Text -->

		<!-- Start of Text Transform -->
		<table class="table table-light table-dark table-bordered" >
		    <thead>
		        <tr>
		            <th>Text Transform</th>
		                </tr>
		    </thead>
		    <tbody>
		        <tr>
		            <td class="text-lowercase font-weight-bold">lowercased bold text</td>
		        </tr>
		        <tr>
		            <td class="text-uppercase font-weight-normal">uppercased normal text</td>
		        </tr>
		        <tr>
		            <td class="text-capitalize font-weight-light">capitalized light text</td>
		        </tr>
		        <tr>
		            <td><a href="#" class="text-primary text-decoration-none font-italic">None-underlined Italic Link</a></td>
		        </tr>
		    </tbody>

		    <h2>Bootstrap Border and Sizing Classes</h2>

		    <table class="table table-dark table-light table-bordered mb-5">
		    <thead>
		        <tr>
		            <td>Border</td>
		        </tr>
		    </thead>
		    <tbody>
		        <tr>
		            <td>
		    			<div class="bg-info rounded-sm">Rounded</div>
		            </td>
		        </tr>
		        <tr>
		            <td>
		                <div class="bg-secondary border border-white rounded-circle">Rounded Circle</div>
		            </td>
		        </tr>
		        <tr>
		                <div>
		            <td>
		                <div class="bg-warning border border-danger rounded-pill">Rounded Pill</div>
		            </td>
		                </div>
		        </tr>
		    </tbody>
		    </table>
		    </table>
						<div class="bg-primary text-light fixed-bottom p-2">
		            Fixed Bottom - Footer
		        		</div>
		        
		    </div>
		    <!-- End of Bootstrap Utility Classes -->

	</div>

	<!-- Bootstrap Scripts -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>